POSTGetDelegatedResourceV2

Tron Mainnethttps://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourcev2

[Stake 2.0] Returns the resource delegations from a specific address to a target address (solidified state).

Request Body
fromAddressstringrequired

Delegator account address (format: Base58 or Hex). Example: TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g

toAddressstring

Recipient account address (format: Base58 or Hex). Example: TJmmqjb1DK9TTZbQXzRQ2AuA94z4gKAPFh

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
fromstring

Delegate account address.

tostring

Resource recipient address.

frozen_balance_for_bandwidthinteger (int64)

Amount of TRX staked for Bandwidth delegated from the from address to the to address. (Unit: sun)

frozen_balance_for_energyinteger (int64)

Amount of TRX staked for Energy delegated from the from address to the to address. (Unit: sun)

expire_time_for_bandwidthinteger (int64)

Timestamp when the Bandwidth delegation lock expires. (Unit: millisecond)

expire_time_for_energyinteger (int64)

Timestamp when the energy delegation lock expires. (Unit: millisecond)

X-API-KEY
RequestCU25
cURL
curl -X POST "https://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourcev2" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "fromAddress": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
    "toAddress": "TJmmqjb1DK9TTZbQXzRQ2AuA94z4gKAPFh",
    "visible": false
  }'
Response
Example · 200
{}